Name: sparse
Version: 0.4.4
Release: alt1_5
Summary:    A semantic parser of source files
Group:      Development/Tools
License:    OSL 1.1
URL:        https://sparse.wiki.kernel.org
Source0:    http://www.kernel.org/pub/software/devel/sparse/dist/sparse-%{version}.tar.bz2

BuildRequires: libxml2-devel gtk2-devel
Source44: import.info

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux kernel.

%package devel
Summary: Build environment for sparse-enabled apps
Group: Development/C
Provides: %{name}-static = %{version}-%{release}

%description devel
Development headers headers and static lib for sparse-enabled apps

%prep
%setup -q

%define make_destdir \
make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" \\\
     BINDIR="%{_bindir}" LIBDIR="%{_libdir}" \\\
     INCLUDEDIR="%{_includedir}" PKGCONFIGDIR="%{_libdir}/pkgconfig" \\\
%{nil}

%build
%ifarch sparcv9 sparc64
%make_destdir %{?_smp_mflags} CFLAGS="%{optflags} -Wwrite-strings -fPIC -DGCC_BASE=\\\"`gcc --print-file-name=`\\\""
%else
%make_destdir %{?_smp_mflags} CFLAGS="%{optflags} -Wwrite-strings -fpic -DGCC_BASE=\\\"`gcc --print-file-name=`\\\""
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
%make_destdir install

%check
make check

%files
%doc LICENSE README FAQ
%{_bindir}/sparse
%{_bindir}/cgcc
%{_bindir}/c2xml
%{_bindir}/test-inspect
%{_mandir}/man1/*

%files devel
%doc LICENSE
%{_includedir}/*
%{_libdir}/libsparse.a
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_5
- initial fc import

